Const Very_Set_Range = 131
Const Very_Set_Opacity = 240
Const Very_Get_Opacity = 240
Const Very_Get_PdfPageCount = 206
Const Very_Get_PageBoxForStamp = 260
Const Very_Set_EmbedFont = 241
Const Very_Get_EmbedFont = 241
Const Very_Set_TransparentColor = 242
Const Very_Set_ImageLossless = 243
Const Very_Set_InsertMultipleImageCopy = 244
  
    Set fso = CreateObject("Scripting.FileSystemObject") 
    strFolder = fso.GetParentFolderName(wscript.ScriptFullName) 
    
    strPDFFile = strFolder & "\example.pdf"
    strOutFile = strFolder & "\vbcom-test.pdf"
    Set pdfstamp = CreateObject("PDFStampCOM.CPDFStamp")
    pdfstamp.veryRegEx "XXXXXXXXXXXXXX"
    id = pdfstamp.veryOpenEx(strPDFFile, strOutFile)
    'id = pdfstamp.VeryStampLayerOpenEx(strPDFFile, strOutFile, "PDFManWatermark_Overlayer", "PDFManWatermark_Underlayer")
    If (id > 0) Then
            Page = 1
            iRet = pdfstamp.verySetFunctionEx(id, Very_Set_InsertMultipleImageCopy, 1, 0, 0, 0)
            pagecount = pdfstamp.veryGetFunctionEx(id, Very_Get_PdfPageCount, 0, 0, 0, 0)
            MsgBox "PDF file: " & strPDFFile & ", Page Count = " & CStr(pagecount)
            For Page = 1 To pagecount
    
                leftpos = pdfstamp.veryGetFunctionEx(id, Very_Get_PageBoxForStamp, Page, 0, "left", 0)
                top = pdfstamp.veryGetFunctionEx(id, Very_Get_PageBoxForStamp, Page, 0, "top", 0)
                pagewidth = pdfstamp.veryGetFunctionEx(id, Very_Get_PageBoxForStamp, Page, 0, "width", 0)
                pageheight = pdfstamp.veryGetFunctionEx(id, Very_Get_PageBoxForStamp, Page, 0, "height", 0)
                
                'We need to control which pages the stamp goes on
                iRet = pdfstamp.verySetFunctionEx(id, Very_Set_Range, Page, 1, 0, 0)
                strStampBuf = "Page:" + CStr(pagecount - Page + 1) + ", Page Box: [" + CStr(leftpos) + " " + CStr(top) + " " + CStr(pagewidth) + " " + CStr(pageheight) + "]"
                
                'Not embed TTF font for general text stamp
                iRet = pdfstamp.verySetFunctionEx(id, Very_Set_EmbedFont, 0, 0, 0, 0)
                iRet = pdfstamp.veryAddTextEx(id, 2, strStampBuf, 255, 0, 0, 0, 0, 0, 0, 300, 0, 10, 1, "http://www.verypdf.com", 0)
          
                'Embed special TTF font into PDF file, we can to use any TTF font
                iRet = pdfstamp.verySetFunctionEx(id, Very_Set_EmbedFont, 1, 0, 0, 0)
                iRet = pdfstamp.veryAddTextEx(id, 1, "0123456789", RGB(0, 0, 0), 0, 0, 0, 0, 0, 0, 0, "Code-39-20", 8, 1, "http://www.verypdf.com/", 0)
                
                iRet = pdfstamp.verySetFunctionEx(id, Very_Set_ImageLossless, 1, 0, 0, 0)
                iRet = pdfstamp.veryAddImageEx(id, 9, strFolder & "\watermark.gif", 0, 0, 0, 0, 50, 50, 0, 0, 0)
            Next
        pdfstamp.veryCloseEx (id)
    End If
    
    iRet = pdfstamp.VeryStampDeleteStampFromPagesEx(strOutFile, strOutFile + "-StampRemoval.pdf", "1,5-6,8,13-15")
    
    iRet = pdfstamp.VeryStampDeleteImagesFromPagesEx(strOutFile, strOutFile + "-ImageRemoval.pdf", 1240, 1240, "1,5-6,8,13-15")
    
    nIsStamped1 = pdfstamp.VeryStampIsStampedEx(strPDFFile)
    nIsStamped2 = pdfstamp.VeryStampIsStampedEx(strOutFile)
    strMessage = strPDFFile & ", Check Stamp Status: " & CStr(nIsStamped1) & vbCrLf
    strMessage = strMessage & strOutFile & ", Check Stamp Status: " & CStr(nIsStamped2)
    MsgBox strMessage
    
    strOutFile = strFolder & "\vbcom-newLayer-test.pdf"
    id = pdfstamp.VeryStampLayerOpenEx(strPDFFile, strOutFile, "Foreground Layer", "Background Layer")
    If (id > 0) Then
        iRet = pdfstamp.veryAddTextEx(id, 2, "Test VeryStampLayerOpen() function", 255, 0, 0, 0, 0, 0, 0, 300, 0, 10, 1, "http://www.verypdf.com", 0)
        pdfstamp.veryCloseEx (id)
    End If
    
    strOutFile = strFolder & "\vbcom-Encrypted-test.pdf"
    iRet = pdfstamp.VeryStampEncryptPDFEx(strPDFFile, strOutFile, "", "123", 1, 3900)

