unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

  veryReg = function(reg:PChar  ): Longint	;                 stdcall	;
  veryOpen = function(file1:PChar ; file2:PChar ): Longint	; stdcall	;
  veryClose = procedure(id:Longint );                         stdcall ;
  verySetFunction = function(id:Longint;func_code:Longint;
                             para1:Longint;para2:Longint;para3:PChar ;para4:PChar ): Longint	; stdcall	;

  veryAddImage = function( id:Longint; position:Longint;
                           filename:PChar;
                           shift_lr:Longint; shift_tb:Longint; rotate:Longint; layer:Longint;
                           zoomW:Longint;zoomH:Longint;
                           action:Longint; link:PChar ;pageno:Longint ): Longint	; stdcall	;
  veryAddText  = function( id:Longint; position:Longint;
                           sstring:PChar;
											     color:Longint; alignment:Longint;
                           shift_lr:Longint; shift_tb:Longint; rotate:Longint; layer:Longint;
                           hollow:Longint;
                           fontcode:Longint; fontname:PChar ; fontsize:Longint;
                           action:Longint; link:PChar ;pageno:Longint ): Longint	; stdcall	;
  veryAddLine  = function( id:Longint; position:Longint; width:Longint; color:Longint;
                           shift_lr:Longint; shift_tb:Longint; rotate:Longint;layer:Longint;
                           zoomW:Longint;zoomH:Longint): Longint	; stdcall	;


  veryGetFunction = function(id:Longint;func_code:Longint;para1:Longint; para2:Longint; para3: PCHAR; para4: PCHAR): Longint;stdcall	;
  veryAddRect = function(id,sx_,sy_,ex_, ey_, side_width, side_color, flagFill,fill_color: Longint): Longint ; stdcall;
  veryAddRectWithLayer = function(id,sx_,sy_, ex_, ey_, side_width,side_color, flagFill, fill_color,layer: Longint): Longint ; stdcall;

const
  Very_Set_Range : Longint = 131;

var

  Form1: TForm1;
  g_hVeryW : HMODULE	;

  pveryReg: veryReg ;
  pveryOpen: veryOpen ;
  pveryClose: veryClose ;
  pverySetFunction: verySetFunction ;
  pveryAddImage: veryAddImage ;
  pveryAddText: veryAddText ;
  pveryAddLine: veryAddLine ;
  pveryGetFunction: veryGetFunction;
  pveryAddRect: veryAddRect;
  pveryAddRectWithLayer: veryAddRectWithLayer;
implementation

{$R *.dfm}


//****************************************************************************

function FreeVeryWDll() : Boolean;
begin
	if(g_hVeryW = 0) then begin
		FreeVeryWDll:=False;
    Exit;
  end;
	FreeLibrary(g_hVeryW);
	g_hVeryW:=0;
  Result:=True;
end;
//****************************************************************************

function  LoadVeryWDll :Boolean ;
var
  path:PAnsiChar ;
  proc :FARPROC ;
label
  Failer;

begin
  path := 'PdfStamp.dll';
  g_hVeryW :=LoadLibrary(path);
	if(g_hVeryW=0) then
		goto Failer;

	proc:=GetProcAddress(g_hVeryW,'veryReg');
	if(proc=nil)then
		goto Failer;
  pveryReg:=proc ;
	proc:=GetProcAddress(g_hVeryW,'veryOpen');
	if(proc=nil)then
		goto Failer;
  pveryOpen:=proc ;
  proc:=GetProcAddress(g_hVeryW,'veryClose');
	if(proc=nil)then
		goto Failer;
  pveryClose:=proc ;
  proc:=GetProcAddress(g_hVeryW,'verySetFunction');
	if(proc=nil)then
		goto Failer;
  pverySetFunction:=proc ;
  proc:=GetProcAddress(g_hVeryW,'veryAddImage');
	if(proc=nil)then
		goto Failer;
  pveryAddImage:=proc ;
  proc:=GetProcAddress(g_hVeryW,'veryAddText');
	if(proc=nil)then
		goto Failer;
  pveryAddText:=proc ;
  proc:=GetProcAddress(g_hVeryW,'veryAddLine');
	if(proc=nil)then
		goto Failer;
  pveryAddLine:=proc ;



  proc:=GetProcAddress(g_hVeryW,'veryGetFunction');
  if(proc <> nil)then
    pveryGetFunction := proc;

  proc:=GetProcAddress(g_hVeryW,'veryAddRect');
  if(proc <> nil)then
    pveryAddRect := proc;
    
  proc:=GetProcAddress(g_hVeryW,'veryAddRectWithLayer');
  if(proc <> nil)then
    pveryAddRectWithLayer := proc;

  Result:=True;
  Exit;
  Failer:
  FreeVeryWDll();
  Result:=False;
end;

//****************************************************************************
procedure TForm1.Button1Click(Sender: TObject);
var
  id : Longint	;
  path : PChar ;
  page, pagecount : Integer;
  m_szStampBuf: Array[0..1024] of Char;
  m_sStampBuf: string;
  left, top, pagewidth,  pageheight: Integer;
  int1, int2, int3, int4: Integer;
  valbuf: array [0..4] of longint;
const
  Very_Set_Range = 131 ;
 Very_Get_PdfPageCount=	206;
 Very_Get_PageBoxForStamp = 260;


begin
  if( LoadVeryWDll() = True ) then
  begin
  path:= 'example.pdf';

  ///////////////////////////////////////////////////////////////////////
  begin
          
      id:=pveryOpen(path,'_001.pdf');
      if(id>0) then
      begin
          pagecount := pveryGetFunction(id, Very_Get_PdfPageCount, 0, 0, 0, 0);
          for page := 1 to pagecount do
          begin
                 // char m_szStampBuf[1024];
                  left := pveryGetFunction(id, Very_Get_PageBoxForStamp, page, 0, 'left', 0);
                  top := pveryGetFunction(id, Very_Get_PageBoxForStamp, page, 0, 'top', 0);
                  pagewidth := pveryGetFunction(id, Very_Get_PageBoxForStamp, page, 0, 'width', 0);
                  pageheight := pveryGetFunction(id, Very_Get_PageBoxForStamp, page, 0, 'height', 0);

                  pverySetFunction(id, Very_Set_Range, page, 1, 0, 0);

                  //m_sStampBuf := format('Page:<%d>, Page Box: [%d %d %d %d]',[pagecount-page+1,left,top,pagewidth,pageheight]);

                 valbuf[0] :=  pagecount-page+1;
                 valbuf[1] := left ;
                 valbuf[2] :=  top;
                 valbuf[3] := pagewidth ;
                 valbuf[4] := pageheight;
                  wvsprintf(m_szStampBuf, 'Page:<%d>, Page Box: [%d %d %d %d]', @valbuf);
                  pveryAddText(id, 2, m_szStampBuf,255,0,0,0,0,0,0,300,0,10,1,'http://www.verypdf.com',0);
          end;
          pverySetFunction(id, Very_Set_Range, 2, 2, 0,0);
          pveryAddImage(id, 7, 'logo.jpg',30,-30,0,0,0,0,0,0,0);
          pveryAddImage(id, 3, 'logo.jpg',-30,30,0,0,0,0,0,0,0);

          pveryAddRect(id, 100, 100, 150,150, 2, RGB(255,0,0),0,RGB(255,0,0));
          pveryAddRect(id, 100, 300, 150,350, 2, RGB(255,0,0),1,RGB(255,0,0));
          pveryAddRect(id, 100, 400, 150,450, 4, RGB(255,255,0),0,RGB(255,0,0));
          pveryAddRect(id, 100, 500, 150,550, 4, RGB(255,255,0),1,RGB(255,0,255));
			
          pveryAddLine(	id, 2, 1, RGB(255,0,0),
                                  0,80,0,0,
                                  80,0);
          pveryAddLine(	id, 6, 1, RGB(0,255,0),
                                  0,-80,0,0,
                                  80,0);
          pveryAddRectWithLayer(id, 200, 100, 250,150, 2, RGB(255,0,0),0,RGB(255,0,0),1);
          pveryAddRectWithLayer(id, 200, 300, 250,350, 2, RGB(255,0,0),1,RGB(255,0,0),1);
          pveryAddRectWithLayer(id, 200, 400, 250,450, 4, RGB(255,255,0),0,RGB(255,0,0),1);
          pveryAddRectWithLayer(id, 200, 500, 250,550, 4, RGB(255,255,0),1,RGB(255,0,255),1);

          pveryClose(id);
      end;
    end;

  ///////////////////////////////////////////////////////////////////////////////
    //%text stamp%
    //%page header and page footer%
    //%Stamps are placed in the duplicate file, leaving the original copy unchanged%
    id := pveryOpen(path,'1.pdf');
    if(id>0) then begin
      pveryAddText(	id, 7,
              '\d\n\t',
              255,0,
              50,-30,0,0,
              0,
              0,nil,10,
              0,nil,0);
      pveryAddText(	id, 5,
              'Page \P3+1 of \c',
              255,0,
              -50,-30,0,0,
              0,
              0,0,10,
              0,0,0);
      pveryAddText(	id, 3,
              '2003 verypdf.com Inc.',
              2666666,0,
              -30,30,	0,0,
              0,
              300,0,10,
              0,0,0);   
      pveryClose(id);
    end;

    //%.Supports Font Style, Font Size, Text Modes (solid, outline), Grayscale and RGB Color (0-255 RGB color values supported) %
    //%.Top, bottom, vertical center, diagonal-top left and diagonal-bottom left. %
    //%Supports multiple line text stamps within one stamp item %
    id := pveryOpen(path,'2.pdf');
    if(id>0) then begin
		pveryAddText(	id, 3, 
						'Sample File\nLambkin',
						0,0,
						0,0,0,0,
						0,
						300,0,0,
						0,0,0);
		pveryAddText(	id, 6, 
						'Copyright verypdf.com, Inc.',
						RGB(255,200,100),0,
						0,0,0,0,
						0,
						0,0,0,
						0,0,0);
		pveryAddText(	id, 9, 
						'www.verypdf.com\n Demo',
						255,0,
						0,0,-45,0,
						1,
						200,0,48,
						0,0,0);
		pveryClose(id);
    end;
	//%.Grayscale Color (0-255 RGB color values supported) %
	//%.diagonal-top left and diagonal-bottom left. %
	//%Stamp on Top of or Underneath the original PDF document page contents %
	//Justification (when multi text)- Left, right, or center
    id := pveryOpen(path,'3.pdf');
    if(id>0) then begin
		pveryAddText(	id, 5, 
						'Page \p of \c',
						0,0,
						0,0,0,0,
						0,
						0,0,10,
						0,0,0);
		pveryAddText(	id, 9, 
						'www.verypdf.com\n Demo',
						RGB(200,200,200),18,
						0,0,-45,1,
						0,
						301,0,48,
						0,0,0);
		pveryClose(id);
    end;
	//%Supports Font Style, Font Size, Text Modes (solid, outline), Grayscale and RGB Color (0-255 RGB color values supported) %
	//%Stamp on Underneath the original PDF document page contents %
	//%Text and Image can be stamped on any angle. Any positive or negative numbers, including decimal numbers may be used to specify an angle in degrees %
    id := pveryOpen(path,'4.pdf');
    if(id>0) then begin
		pveryAddText(	id, 9, 
						'www.verypdf.com',
						RGB(200,200,200),0,
						0,0,-20,1,
						1,
						202,0,60,
						0,0,0);
		pveryClose(id);
    end;
	//%Stamps can be placed in the exact vertical center of a page (or the exact vertical center within a individual stamping space) %
    id := pveryOpen(path,'5.pdf');
    if(id>0) then begin
		pveryAddText(	id, 9, 
						'www.verypdf.com',
						RGB(255,255,0),0,
						0,0,0,0,
						0,
						101,0,48,
						0,0,0);
		pveryAddText(	id, 8, 
						'ww.verypdf.com',
						RGB(0,255,255),0,
						0,0,90,0,
						0,
						0,0,48,
						0,0,0);
		pveryAddText(	id, 4, 
						'www.verypdf.com',
						RGB(0,255,255),0,
						0,0,-90,0,
						0,
						0,0,48,
						0,0,0);
		pveryClose(id);
    end;
	//tridimensional effect
    id := pveryOpen(path,'6.pdf');
    if(id>0) then begin
		pveryAddText(	id, 9, 
						'www.verypdf.com',
						RGB(64,64,64),0,
						1,1,45,0,
						0,
						0,0,64,
						0,0,0);
		pveryAddText(	id, 9, 
						'www.verypdf.com',
						RGB(255,0,0),0,
						0,0,45,0,
						0,
						0,0,64,
						0,0,0);
		pveryClose(id);
    end;
	//hollow tridimensional effect
    id := pveryOpen(path,'7.pdf');
    if(id>0) then begin
		pveryAddText(	id, 9, 
						'www.verypdf.com',
						RGB(64,64,64),0,
						1,2,45,1,
						1,
						0,0,64,
						0,0,0);
		pveryAddText(	id, 9, 
						'www.verypdf.com',
						RGB(255,0,0),0,
						0,0,45,0,
						1,
						0,0,64,
						0,0,0);
		pveryClose(id);
    end;
	//%Supports image stamp (JPEG/TIFF images) %
    id := pveryOpen(path,'8.pdf');
    if(id>0) then begin
		pveryAddImage(	id, 7, 
						'logo.jpg',
						30,-30,0,0,
						0,0,
						0,0,0);
		pveryAddImage(	id, 3, 
						'logo.jpg',
						-30,30,0,0,
						0,0,
						0,0,0);
		pveryClose(id);
    end;
	//% image stamp  %
	//%vertical center.%
    id := pveryOpen(path,'9.pdf');
    if(id>0) then begin
		pveryAddImage(	id, 4, 
						'logo.jpg',
						-10,0,90,0,
						0,0,
						0,0,0);
		pveryAddImage(	id, 8, 
						'logo.jpg',
						10,0,-90,0,
						0,0,
						0,0,0);
		pveryClose(id);
    end;
	//%	Wrap text to a new line if it would otherwise be too long to fit in its margined area%
    id := pveryOpen(path,'10.pdf');
    if(id>0) then begin
		pveryAddText(	id, 9, 
						'Wrap text to a new line if it would otherwise be too long to fit in its margined area.',
						2666666,16,
						0,0,0,1,
						0,
						0,0,64,
						0,0,0);
		pveryClose(id);
    end;
	//%Supports web links%
	//%Enabling you to easily position the stamp in any location on the page %
    id := pveryOpen(path,'11.pdf');
    if(id>0) then begin
		pveryAddText(	id, 2, 
						'Supports web links',
						RGB(255,11,0),0,
						-50,200,0,1,
						0,
						0,0,48,
						1,'http://www.verypdf.com',0);
		pveryAddText(	id, 4, 
						'Enabling you to easily position the stamp\n in any location on the page',
						RGB(255,11,22),17,
						-50,200,0,0,
						0,
						0,0,10,
						1,'http://www.verypdf.com',0);
		pveryClose(id);
    end;
	//%text rotate and position%
    id := pveryOpen(path,'12.pdf');
    if(id>0) then begin
		pveryAddText(	id, 1, 
						'verypdf.com Inc.',
						65296,0,
						0,0,-45,0,
						0,
						0,0,48,
						0,0,0);
		pveryAddText(	id, 3, 
						'verypdf.com Inc.',
						65296,0,
						0,0,45,0,
						0,
						0,0,48,
						0,0,0);
		pveryAddText(	id, 5, 
						'verypdf.com Inc.',
						65296,0,
						0,0,-45,0,
						0,
						0,0,48,
						0,0,0);
		pveryAddText(	id, 7, 
						'verypdf.com Inc.',
						65296,0,
						0,0,45,0,
						0,
						0,0,48,
						0,0,0);

		pveryClose(id);
    end;
	//%image rotate and position%
    id := pveryOpen(path,'13.pdf');
    if(id>0) then begin
		pveryAddImage(	id, 9, 
						'logo.jpg',
						-70,-70,-45,0,
						0,0,
						0,0,0);

		pveryAddImage(	id, 9, 
						'logo.jpg',
						70,-70,225,0,
						0,0,
						0,0,0);
		pveryAddImage(	id, 9, 
						'logo.jpg',
						70,70,135,0,
						0,0,
						0,0,0);
		pveryAddImage(	id, 9, 
						'logo.jpg',
						-70,70,45,0,
						0,0,
						0,0,0);

		pveryClose(id);
    end;

    id := pveryOpen(path,'14.pdf');
    if(id>0) then begin
		pveryAddText(	id, 7, 
						'verypdf.com Inc.',
						165296,0,
						0,-100,-45,0,
						0,
						0,0,48,
						0,0,0);
		pveryAddText(	id, 7, 
						'verypdf.com Inc.',
						1652962,0,
						50,-200,-45,0,
						0,
						0,0,48,
						0,0,0);
		pveryAddText(	id, 7, 
						'verypdf.com Inc.',
						16529621,0,
						100,-300,-45,0,
						0,
						0,0,48,
						0,0,0);
		pveryAddText(	id, 7, 
						'verypdf.com Inc.',
						165296210,0,
						150,-400,-45,0,
						0,
						0,0,48,
						0,0,0);
		pveryAddText(	id, 7, 
						'verypdf.com Inc.',
						165210,0,
						200,-500,-45,0,
						0,
						0,0,48,
						0,0,0);

		pveryClose(id);
    end;
	//%image zoom%
    id := pveryOpen(path,'15.pdf');
    if(id>0) then begin
		pveryAddImage(	id, 2, 
						'logo.jpg',
						80,200,-45,1,
						300,300,
						0,0,0);
		pveryClose(id);
    end;
	//%Supports line stamp  %
    id := pveryOpen(path,'16.pdf');
    if(id>0) then begin
		pveryAddText(	id, 7, 
						'\d\n\t',
						255,0,
						70,-50,0,0,
						0,
						0,0,10,
						0,0,0);
		pveryAddText(	id, 5, 
						'Page \p of \c ',
						255,0,
						-70,-50,0,0,
						0,
						0,0,10,
						0,0,0);
		pveryAddText(	id, 3, 
						'2003 verypdf.com Inc.',
						255,0,
						-60,60,0,0,
						0,
						300,0,10,
						0,0,0);

		pveryAddLine(	id, 2, 1, 0,
						0,80,0,0,
						80,0);
		pveryAddLine(	id, 6, 1, 0,
						0,-80,0,0,
						80,0);

		pveryClose(id);
    end;
	//%Supports links (web links, page link, open file, remote page link).%
    id := pveryOpen(path,'17.pdf');
    if(id>0) then begin
		pveryAddText(	id, 2, 
						'Supports web links',
						255,0,
						-50,200,15,0,
						0,
						0,0,32,
						1,'http://www.verypdf.com',0);
		pveryAddText(	id, 4, 
						'Supports page links',
						255,0,
						-50,200,0,0,
						0,
						0,0,32,
						2,0,3);
		pveryAddImage(	id, 9,
						'logo.jpg',
						0,0,15,1,
						0,0,
						3,'openlink.txt',0);
		pveryClose(id);
    end;
	//%Set which pages to stamp on by selecting a predefined range.%
	//%	Every even page%
    id := pveryOpen(path,'18.pdf');
    if(id>0) then begin
		//%	Every even page%
		pverySetFunction(id, Very_Set_Range, -2, -2, 0,0);
 
		pveryAddText(	id, 2, 
						'Set which pages to stamp on by selecting a predefined range.',
						2666666,17,
						0,200,0,0,
						0,
						0,0,32,
						0,0,0);
		pveryClose(id);
    end;

  end;
  FreeVeryWDll();
end;
//****************************************************************************



end.
